export const privilegeConfig = [
  {
    title: "用户",
    options: [
      {
        permission: "USER_VIEW",
        name: "用户管理",
      },
      {
        permission: "USER_INSERT",
        name: "用户新增",
      },
      {
        permission: "USER_EDIT",
        name: "用户修改",
      },
    ],
  },
  {
    title: "微信小程序",
    options: [
      {
        permission: "WXAPP_VIEW",
        name: "微信小程序管理",
      },
      {
        permission: "WXAPP_INSERT",
        name: "微信小程序新增",
      },
      {
        permission: "WXAPP_EDIT",
        name: "微信小程序修改",
      },
    ],
  },
  {
    title: "机构",
    options: [
      {
        permission: "ORG_VIEW",
        name: "机构管理",
      },
      {
        permission: "ORG_INSERT",
        name: "机构新增",
      },
      {
        permission: "ORG_EDIT",
        name: "机构修改",
      },
    ],
  },
  {
    title: "应用",
    options: [
      {
        permission: "APP_INSERT",
        name: "应用新增",
      },
      {
        permission: "APP_EDIT",
        name: "应用修改",
      },
    ],
  },
  {
    title: "模块",
    options: [
      {
        permission: "MODULE_INSERT",
        name: "模块新增",
      },
      {
        permission: "MODULE_EDIT",
        name: "模块修改",
      },
    ],
  },
  {
    title: "环境",
    options: [
      {
        permission: "ENV_INSERT",
        name: "环境新增",
      },
      {
        permission: "ENV_EDIT",
        name: "环境修改",
      },
    ],
  },
  {
    title: "版本",
    options: [
      {
        permission: "VERSION_INSERT",
        name: "版本新增",
        dataPrivilege: "app.id",
      },
      {
        permission: "VERSION_EDIT",
        name: "版本修改",
        dataPrivilege: "app.id",
      },
    ],
  },
  {
    title: "程序配置",
    options: [
      {
        permission: "PROPERTY_BASELINE_EDIT",
        name: "基线配置修改",
        dataPrivilege: "app.id",
      },
      {
        permission: "PROPERTY_EDIT",
        name: "程序配置修改",
        dataPrivilege: "env.id",
      },
    ],
  },
  {
    title: "Nginx配置",
    options: [
      {
        permission: "NGINX_BASELINE_EDIT",
        name: "Nginx基线修改",
        dataPrivilege: "app.id",
      },
      {
        permission: "NGINX_EDIT",
        name: "Nginx配置修改",
        dataPrivilege: "env.id",
      },
    ],
  },
  {
    title: "部署",
    options: [
      {
        permission: "DEPLOY_INSERT",
        name: "部署新增",
      },
      {
        permission: "DEPLOY_EDIT",
        name: "部署修改",
        dataPrivilege: "deploy.id",
      },
      {
        permission: "DEPLOY_ORG_EDIT",
        name: "部署绑定机构修改",
        dataPrivilege: "deploy.id",
      },
      {
        permission: "DEPLOY_DEVICE_EDIT",
        name: "部署绑定设备修改",
        dataPrivilege: "deploy.id",
      },
      {
        permission: "DEPLOY_SECRET_VIEW",
        name: "部署密钥查看",
        dataPrivilege: "deploy.id",
      },
      {
        permission: "DEPLOY_LICENSE_DOWNLOAD",
        name: "部署证书下载",
        dataPrivilege: "deploy.id",
      },
    ],
  },
];

export const permission = [
  {
    permission: "USER_VIEW",
    scope: "*",
  },
  {
    permission: "USER_INSERT",
    scope: "*",
  },
  {
    permission: "USER_EDIT",
    scope: "*",
  },
  {
    permission: "WXAPP_VIEW",
    scope: "*",
  },
  {
    permission: "WXAPP_INSERT",
    scope: "*",
  },
  {
    permission: "WXAPP_EDIT",
    scope: "*",
  },
  {
    permission: "ORG_VIEW",
    scope: "*",
  },
  {
    permission: "ORG_INSERT",
    scope: "*",
  },
  {
    permission: "ORG_EDIT",
    scope: "*",
  },
];

let privilegeMap = {};
permission.forEach((item) => {
  privilegeMap[item.permission] = item.scope;
});

export { privilegeMap };
