import { objAssign, randomCode, tableAction } from "@/plugins/utils";
// mixins
import commonMixins from "../mixins/common";
import privilegeMixins from "../mixins/privilege";
// components
import ViewFooter from "@/components/ViewFooter.vue";
import AppSelect from "@/components/AppSelect.vue";
import EnvSelect from "@/components/EnvSelect.vue";
import VersionSelect from "@/components/VersionSelect.vue";
import ModuleSelect from "@/components/ModuleSelect.vue";
import UserSelect from "@/components/UserSelect.vue";

const components = {
  ViewFooter,
  AppSelect,
  EnvSelect,
  VersionSelect,
  ModuleSelect,
  UserSelect,
};

export default {
  install: function (Vue) {
    // 实例方法
    Vue.prototype.$tableAction = tableAction;
    Vue.prototype.$objAssign = objAssign;
    Vue.prototype.$randomCode = randomCode;

    // 注册全局组件
    Object.keys(components).forEach((key) => {
      Vue.component(key, components[key]);
    });

    //全局 mixins
    Vue.mixin(commonMixins);
    Vue.mixin(privilegeMixins);
  },
};
